## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developers.dwolla.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

https://api.dwolla.comhttps://api-sandbox.dwolla.com

/webhook-subscriptions
/{id}

### cURL

```bash
GET https://api-sandbox.dwolla.com/webhook-subscriptions/5af4c10a-f6de-4ac8-840d-42cb65454216
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
```

### Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node

```javascript
var webhookSubscriptionUrl =
  "https://api-sandbox.dwolla.com/webhook-subscriptions/5af4c10a-f6de-4ac8-840d-42cb65454216";

dwolla.get(webhookSubscriptionUrl).then((res) => res.body.created); // => '2016-04-20T15:49:50.340Z'
```

### Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python

```python
webhook_subscription_url = 'https://api-sandbox.dwolla.com/webhook-subscriptions/5af4c10a-f6de-4ac8-840d-42cb65454216'

webhook_subscription = app_token.get(webhook_subscription_url)
webhook_subscription.body['created'] # => '2015-10-28T16:20:47+00:00'
```

### Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php

```php
$webhookApi = new DwollaSwagger\WebhooksubscriptionsApi($apiClient);
$retrieved = $webhookApi->id('https://api-sandbox.dwolla.com/webhook-subscriptions/5af4c10a-f6de-4ac8-840d-42cb65454216');

$retrieved->created; // => 2015-10-28T16:20:47+00:00
```

### Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby

```ruby
webhook_subscription_url = 'https://api-sandbox.dwolla.com/webhook-subscriptions/5af4c10a-f6de-4ac8-840d-42cb65454216'

webhook_subscription = app_token.get webhook_subscription_url
webhook_subscription.created # => 2015-10-28T16:20:47+00:00
```

### Response Codes

- 200
- 404

### Example 200 Response

```json
{
  "_links": {
    "self": {
      "href": "https://api.dwolla.com/webhook-subscriptions/077dfffb-4852-412f-96b6-0fe668066589"
    },
    "webhooks": {
      "href": "https://api.dwolla.com/webhook-subscriptions/077dfffb-4852-412f-96b6-0fe668066589/webhooks"
    }
  },
  "id": "077dfffb-4852-412f-96b6-0fe668066589",
  "url": "http://myapplication.com/webhooks",
  "paused": true,
  "created": "2022-10-28T16:20:47+00:00"
}
```

### Example 404 Response

```json
{
  "code": "NotFound",
  "message": "The requested resource was not found."
}
```

#### Authorizations

**Authorization**  
string header required  
The access token received from the authorization server in the OAuth 2.0 flow.

#### Headers

**Accept**  
enum<string>  
default: application/vnd.dwolla.v1.hal+json  
required  
The media type of the response. Must be application/vnd.dwolla.v1.hal+json

Available options:

`application/vnd.dwolla.v1.hal+json`

#### Path Parameters

**id**  
string required  
Webhook subscription unique identifier

#### Response

**200**  
application/vnd.dwolla.v1.hal+json successful operation

**_links**  
object  
Showchild attributes  
**id**  
string  
Example:
`"077dfffb-4852-412f-96b6-0fe668066589"`
**url**  
string  
Example:
`"http://myapplication.com/webhooks"`
**paused**  
boolean  
Example:
`true`
**created**  
string<date-time>  
Example:
`"2022-10-28T16:20:47+00:00"`
